﻿// THIS CODE HAS BEEN GENERATED BY THE XamlGenerator TOOL AND WILL BE OVERWRITTEN. DO NOT CHANGE OR REMOVE !
#region AUTOGENERATED CODE

using TimeLine.Framework;

namespace WVG_CustomStamm
{
	/// <summary>
    /// The wndWVGLangtextEdit xWindowhandlingObject
    /// </summary>
    public partial class wndWVGLangtextEdit
    {
		#region Properties

		public new TimeLine.AppContent.WHO.WVGLangtextEdit.Input RetrievalArguments => ((TimeLine.Client.Framework.xWindowHandlingObject)this).RetrievalArguments.Decompose<TimeLine.AppContent.WHO.WVGLangtextEdit.Input>();

		public new TimeLine.AppContent.WHO.WVGLangtextEdit.Output ReturnValue
		{
			get => ((TimeLine.Client.Framework.xWindowHandlingObject)this).ReturnValue as TimeLine.AppContent.WHO.WVGLangtextEdit.Output;
			set => ((TimeLine.Client.Framework.xWindowHandlingObject)this).ReturnValue = value;
		}


		#endregion

        #region Controls

		/// <summary>
		/// Gets the bTimeStmp TimeLine.Client.Controls.xButton
		/// </summary>
		private global::TimeLine.Client.Controls.xButton bTimeStmp { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xButton>("bTimeStmp"); } }

		/// <summary>
		/// Gets the bOk TimeLine.Client.Controls.xButton
		/// </summary>
		private global::TimeLine.Client.Controls.xButton bOk { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xButton>("bOk"); } }

		/// <summary>
		/// Gets the bCancel TimeLine.Client.Controls.xButton
		/// </summary>
		private global::TimeLine.Client.Controls.xButton bCancel { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xButton>("bCancel"); } }

		/// <summary>
		/// Gets the tbText TimeLine.Client.Controls.xTextBox
		/// </summary>
		private global::TimeLine.Client.Controls.xTextBox tbText { get { return GetControlByNameAndTyp<global::TimeLine.Client.Controls.xTextBox>("tbText"); } }


        #endregion

		#region Events

		public override void RegisterDesignerEvents()
		{

		}

		public override void UnregisterDesignerEvents()
		{

		}

		#endregion
    }
}
#endregion
